# Orchestra Framework

A symphony of agents working in harmony.

## Overview

Orchestra is a lightweight, open-source Python framework for building LLM-based pipelines and multi-agent teams. It implements a unique approach to agent orchestration that goes beyond simple routing, enabling complex workflows.

## Key Features

- **True Orchestration**: Agents can act as both executors and conductors, enabling dynamic task decomposition and coordination among agents
- **Phased Task Execution**: Reduces cognitive load on LLMs through structured thinking patterns
- **Flexible Tool Integration**: Simple docstring-based tool definitions without complex JSON schemas
- **Robust Streaming**: Real-time output streaming with both sync and async support
- **Built-in Fallbacks**: Graceful handling of LLM failures with configurable fallback chains

## Documentation

For detailed documentation, visit [orchestra.org](https://orchestra.org)

## License

Apache License 2.0

## Support

- GitHub Issues: [Report a bug](https://github.com/mainframecomputer/orchestra/issues)
- Documentation: [Read the docs](https://orchestra.org)
